io.vertx.rxjava.mqtt.messages

## Class MqttPublishMessage

- java.lang.Object
- - io.vertx.rxjava.mqtt.messages.MqttPublishMessage

- All Implemented Interfaces:
    MqttMessage

      public class MqttPublishMessage
      extends Object
      implements MqttMessage

  Represents an MQTT PUBLISH message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttPublishMessage>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttPublishMessage(MqttPublishMessage delegate)`
    `MqttPublishMessage(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `MqttPublishMessage` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isDup()`
    `boolean` | `isRetain()`
    `int` | `messageId()`
    `static MqttPublishMessage` | `newInstance(MqttPublishMessage arg)`
    `Buffer` | `payload()`
    `io.netty.handler.codec.mqtt.MqttQoS` | `qosLevel()`
    `String` | `topicName()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.mqtt.messages.MqttMessage

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttPublishMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttPublishMessage

          public MqttPublishMessage(MqttPublishMessage delegate)

    - #### MqttPublishMessage

          public MqttPublishMessage(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttPublishMessage getDelegate()

      Specified by:
        `getDelegate` in interface `MqttMessage`

    - #### messageId

          public int messageId()

      Specified by:
        `messageId` in interface `MqttMessage`
      Returns:
        Message identifier

    - #### qosLevel

          public io.netty.handler.codec.mqtt.MqttQoS qosLevel()

      Returns:
        Quality of service level

    - #### isDup

          public boolean isDup()

      Returns:
        If the message is a duplicate

    - #### isRetain

          public boolean isRetain()

      Returns:
        If the message needs to be retained

    - #### topicName

          public String topicName()

      Returns:
        Topic on which the message was published

    - #### payload

          public Buffer payload()

      Returns:
        Payload message

    - #### newInstance

          public static MqttPublishMessage newInstance(MqttPublishMessage arg)

Copyright © 2022 Eclipse. All rights reserved.